For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get handling details

Get handling details

get
/tenants/{tenantUid}/handlings/{handlingUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
handlingUidstringRequired

Reference to an handling id.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
descriptionstringRequired
handlingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
namestring · max: 20Required
requireSerialnumberForCompletebooleanRequired

All products that require serialnumber must have a serial number set before this handling can be set to COMPLETE

templateUidForCompletestringRequiredPattern: ^[A-Za-z0-9-_]*
get/tenants/{tenantUid}/handlings/{handlingUid}
GET /v2/tenants/{tenantUid}/handlings/{handlingUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "active": true,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "description": "text",
  "handlingUid": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "name": "text",
  "triggers": [
    {
      "active": true,
      "trigger": "AUTO_PRINT_PICKUP_LABELS",
      "state": "NOT_STARTED",
      "value": "text",
      "handlingTriggerUid": "text"
    }
  ],
  "requireSerialnumberForComplete": true,
  "templateUidForComplete": "text"
}

Last updated

Was this helpful?